/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var pagetimout;
var messagetimeout;
var timeouttime = 0;
var secondtimeout = 5000;

function showimage(id) {
	resetTimeout();
    $("#" + id).show();
}

function hideimage(id) {
	resetTimeout();
    $("#" + id).hide();
}

function markImage(filepath, id) {
    resetTimeout();
    $("#icon" + id).html("<img src=\"/images/loading.gif\" class=\"flagimg\">");
    $("#full" + id).html("<img src=\"/images/loading.gif\" class=\"fullscreenflagimg\">");
    $.ajax({
        type: "GET", 
        url: "/images/mark",
        data: {filename:filepath},
        dataType: "text",
        success: function(resp) { 
            if (resp === "OK") {
                $("#icon" + id).html("<img src=\"/images/flag-on.png\" class=\"flagimg\" onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
                $("#full" + id).html("<img src=\"/images/flag-on.png\" class=\"fullscreenflagimg\" onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
                //console.log("true response: " + resp);
            } else {
                $("#icon" + id).html("<img src=\"/images/flag-off.png\" class=\"flagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
                $("#full" + id).html("<img src=\"/images/flag-off.png\" class=\"fullscreenflagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
                //console.log("false response: " + resp);
            }
        },
        error: function(x,y,z) {
            $("#icon" + id).html("<img src=\"/images/flag-off.png\" class=\"flagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
            $("#full" + id).html("<img src=\"/images/flag-off.png\" class=\"fullscreenflagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
            //console.log("error response");
        }             
    });
}

function unmarkImage(filepath, id) {
    resetTimeout();
    $("#icon" + id).html("<img src=\"/images/loading.gif\" class=\"flagimg\">");
    $("#full" + id).html("<img src=\"/images/loading.gif\" class=\"fullscreenflagimg\">");
    $.ajax({
        type: "GET", 
        url: "/images/unmark",
        data: {filename:filepath},
        dataType: "text",
        success: function(resp) { 
            if (resp === "OK") {
                $("#icon" + id).html("<img src=\"/images/flag-off.png\" class=\"flagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
                $("#full" + id).html("<img src=\"/images/flag-off.png\" class=\"fullscreenflagimg\" onclick=\"markImage('" + filepath + "','" + id + "')\">");
                //console.log("true response: " + resp);
            } else {
                $("#icon" + id).html("<img src=\"/images/flag-on.png\" class=\"flagimg\"onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
                $("#full" + id).html("<img src=\"/images/flag-on.png\" class=\"fullscreenflagimg\" onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
                //console.log("false response: " + resp);
            }
        },
        error: function(x,y,z) {
            $("#icon" + id).html("<img src=\"/images/flag-on.png\" class=\"flagimg\" onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
            $("#full" + id).html("<img src=\"/images/flag-on.png\" class=\"fullscreenflagimg\" onclick=\"unmarkImage('" + filepath + "','" + id + "')\">");
            //console.log("error response");
        }             
    });
}

function pausevid(id) {
    $("#video" + id).get(0).pause();
}

function startTimeout(timeout) {
    timeouttime = timeout * 1000;
    if (timeouttime > 0) pagetimeout = setTimeout("displayTimeoutWarning()",timeouttime);
}

function resetTimeout() {
    clearTimeout(pagetimeout);
    if (timeouttime > 0) pagetimeout = setTimeout("displayTimeoutWarning()",timeouttime);
}

function displayTimeoutWarning() {
    $("#timeoutMessage").show();
    messagetimeout = setTimeout("location.href = '/';",secondtimeout);
}

function stillHere() {
    clearTimeout(messagetimeout);
    resetTimeout();
    $("#timeoutMessage").hide();
}